Composer 官方数据:2018 年第一季度 PHP 版本使用情况

翻译 Summer ⋅ 于 1周前 ⋅ 最后回复由 nff93 5天前 ⋅ 772 阅读 ⋅ 原文地址
这是一篇社区协同翻译的文章,已完成翻译,更多信息请点击 协同翻译介绍

关于采样需要指出的是,因为统计数据来源于整体 PHP 用户的子集,所以此次统计不能代表所有的 PHP 用户数据。我统计了上个月  packagist.org 上 Composer 的安装使用日志。Composer 使用时会发送包含 PHP 版本信息的 User-Agent 请求头,所以我可以统计 PHP 版本信息。

PHP 使用情况

2018 五月 (+/- 对比 2017 11月)

所有版本 分组
PHP 7.2.4 7.54% PHP 7.1 35.02% (-1.61)
PHP 7.1.16 7.41% PHP 7.0 23.02% (-7.74)
PHP 7.0.28 5.54% PHP 7.2 20.18% (+20.18)
PHP 7.1.15 4.11% PHP 5.6 16.48% (-6.8)
PHP 7.2.3 3.85% PHP 5.5 3.50% (-2.61)
PHP 7.1.14 3.79% PHP 5.4 1.04% (-0.47)

file

菜鸟展翅 翻译于 1周前

观察结论: PHP 7.1 依然最高但 7.2 正在快速增长,已有 1/5 的用户升级。从我开始统计 PHP 版本使用情况以来,这是 PHP 新版本发布以后最快的增长速率。 Ubuntu 18.04 LTS 默认安装 PHP 7.2 ,所以接下来的几个月这个数据还会大幅增长。78% 用户使用 PHP 7 以上版本并且高达 95% 曾经只维护一个 PHP 版本,真高兴看到这个消息。PHP 5.6 和 7.0 将在  2018年末停止维护 ,因此 40% 的用户需要升级 PHP,PHP 新版本占有率将进一步提高 。

下面是过去五年所有我的博客 PHP 版本使用情况汇总图。

file

菜鸟展翅 翻译于 1周前

PHP 扩展包的版本环境要求

这第二组数据是当前在 packagist 上 PHP 扩展包对 PHP 版本的要求。我只统计了这些包当前的主版本要求最小的 php 环境,并且这些数据只包含最近一年内有更新提交的项目,排除了那些不再维护的项目。

PHP 版本环境要求 - 2018年5月(+/- 对比 2017年11月)

5.2 1.16% (-0.12)
5.3 15.9% (-2.85)
5.4 16.59% (-3.7)
5.5 15.52% (-3.55)
5.6 19.57% (-0.83)
7.0 19.47% (4.62)
7.1 11.15% (5.83)
7.2 0.64% (0.61)

还是像往常一样有点小落后,但可以看到 PHP 7 最终将在开源软件领域被真正的接受,这很好。

一颗红心 翻译于 1周前

原文地址:https://seld.be/notes/php-versions-stats...

译文地址:https://laravel-china.org/topics/11108/c...


本文中的所有译文仅用于学习和交流目的,转载请务必注明文章译者、出处、和本文链接
我们的翻译工作遵照 CC 协议,如果我们的工作有侵犯到您的权益,请及时联系我们。

回复数量: 4
  • jobsssss
    1周前

    我已经在用7.2了,7.2下很多laravel的扩展都会出问题,主要就是问题集中在数组count和foreach上。比如ide-helper,debugger等,都出现了这个问题。

  • JaguarJack
    1周前

    @jobsssss 据鸟哥在群里说,最稳定的版本是7.1.3版本, 7.2悠着点, bug多

  • 江湖大虾仁
    1周前

    @JaguarJack 对于php自身来说,那不是bug,就是新版本的改动。。。该提bug也得向那些扩展提

  • nff93
    1周前

    使用国内的源(比如Laravel-china的源)应该不会被统计到吧?

暂无评论~~

  请勿发布不友善或者负能量的内容。与人为善,比聪明更重要!